## org.apache.hadoop.mapreduce.split
Class JobSplitWriter

    java.lang.Object
      org.apache.hadoop.mapreduce.split.JobSplitWriter

    public class JobSplitWriter

extends Object

The class that is used by the Job clients to write splits (both the meta and the raw bytes parts)

Constructor Summary
`JobSplitWriter()`

Method Summary
`static void` `createSplitFiles(Path jobSubmitDir, Configuration conf, FileSystem fs, InputSplit[] splits)`

`static

`<T extends InputSplit> void`

`

`createSplitFiles(Path jobSubmitDir, Configuration conf, FileSystem fs, List<InputSplit> splits)`

`static

`<T extends InputSplit> void`

`

`createSplitFiles(Path jobSubmitDir, Configuration conf, FileSystem fs, T[] splits)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobSplitWriter

    public JobSplitWriter()

Method Detail

### createSplitFiles

    public static <T extends InputSplit> void createSplitFiles(Path jobSubmitDir,
                                                               Configuration conf,
                                                               FileSystem fs,
                                                               List<InputSplit> splits)
                                 throws IOException,
                                        InterruptedException

  Throws:
    `IOException`
    `InterruptedException`

### createSplitFiles

    public static <T extends InputSplit> void createSplitFiles(Path jobSubmitDir,
                                                               Configuration conf,
                                                               FileSystem fs,
                                                               T[] splits)
                                 throws IOException,
                                        InterruptedException

  Throws:
    `IOException`
    `InterruptedException`

### createSplitFiles

    public static void createSplitFiles(Path jobSubmitDir,
                                        Configuration conf,
                                        FileSystem fs,
                                        InputSplit[] splits)
                                 throws IOException

  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation